### Method

# Ide ProjectInfo get_directory

#### Declaration

    GFile*
    ide_project_info_get_directory (
      IdeProjectInfo* self
    )

#### Description

Gets the `IdeProjectInfo:directory` property. This is the directory containing the project (if known).

Available since: | 3.32

Gets property | `Ide.ProjectInfo:directory`

#### Return value

Returns: | `GFile`
| A `GFile`.
| The data is owned by the instance.
| The return value can be `NULL`.